Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.util
Class Constants

    java.lang.Object
      org.apache.logging.log4j.core.util.Constants

    public final class Constants

extends Object

Log4j Constants.

Field Summary
`static String` | `JNDI_CONTEXT_NAME` JNDI context name string literal.
`static String` | `LINE_SEPARATOR` Line separator.
`static String` | `LOG4J_CONTEXT_SELECTOR` Name of the system property to use to identify the ContextSelector Class.
`static String` | `LOG4J_DEFAULT_STATUS_LEVEL`
`static String` | `LOG4J_LOG_EVENT_FACTORY` Name of the system property to use to identify the LogEvent factory.
`static int` | `MILLIS_IN_SECONDS` Number of milliseconds in a second.
`static Charset` | `UTF_8` Equivalent to StandardCharsets.UTF_8.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG4J_LOG_EVENT_FACTORY

    public static final String LOG4J_LOG_EVENT_FACTORY

  Name of the system property to use to identify the LogEvent factory.

  See Also:
    Constant Field Values

### LOG4J_CONTEXT_SELECTOR

    public static final String LOG4J_CONTEXT_SELECTOR

  Name of the system property to use to identify the ContextSelector Class.

  See Also:
    Constant Field Values

### LOG4J_DEFAULT_STATUS_LEVEL

    public static final String LOG4J_DEFAULT_STATUS_LEVEL

See Also:
  Constant Field Values

### JNDI_CONTEXT_NAME

    public static final String JNDI_CONTEXT_NAME

  JNDI context name string literal.

  See Also:
    Constant Field Values

### LINE_SEPARATOR

    public static final String LINE_SEPARATOR

  Line separator.

### MILLIS_IN_SECONDS

    public static final int MILLIS_IN_SECONDS

  Number of milliseconds in a second.

  See Also:
    Constant Field Values

### UTF_8

    public static final Charset UTF_8

  Equivalent to StandardCharsets.UTF_8.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.